<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: WorldEditorAPI Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/d1b/class_world_editor_a_p_i.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">WorldEditorAPI Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a96b6eba1799dd745b9dd3f2051e88dd5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a96b6eba1799dd745b9dd3f2051e88dd5">BeginTerrainAction</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> historyPointName=&quot;&quot;, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> historyPointIcon=&quot;&quot;)</td></tr>
<tr class="separator:a96b6eba1799dd745b9dd3f2051e88dd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ea4be67de6d895062d62efd363dd9a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#ae4ea4be67de6d895062d62efd363dd9a">EndTerrainAction</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> historyPointName=&quot;&quot;)</td></tr>
<tr class="separator:ae4ea4be67de6d895062d62efd363dd9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acab350940642916aa2d83688ac22a8c5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#acab350940642916aa2d83688ac22a8c5">BeginEntityAction</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> historyPointName=&quot;&quot;, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> historyPointIcon=&quot;&quot;)</td></tr>
<tr class="separator:acab350940642916aa2d83688ac22a8c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb38dd4c579454b8b67ca94705d28413"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#aeb38dd4c579454b8b67ca94705d28413">EndEntityAction</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> historyPointName=&quot;&quot;)</td></tr>
<tr class="separator:aeb38dd4c579454b8b67ca94705d28413"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a361f856bca900dace1507ddc51f8227e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a361f856bca900dace1507ddc51f8227e">IsDoingEditAction</a> ()</td></tr>
<tr class="separator:a361f856bca900dace1507ddc51f8227e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bfefa218fcbdc91cbcf73b1de186b38"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a4bfefa218fcbdc91cbcf73b1de186b38">UndoOrRedoIsRestoring</a> ()</td></tr>
<tr class="separator:a4bfefa218fcbdc91cbcf73b1de186b38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac609da4f0e3d16e743b4713430fe4bf7"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#ac609da4f0e3d16e743b4713430fe4bf7">IsModifyingData</a> ()</td></tr>
<tr class="separator:ac609da4f0e3d16e743b4713430fe4bf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a016ae966553b0c16dc2998c9d1708976"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a016ae966553b0c16dc2998c9d1708976">SourceToEntity</a> (<a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a> entSrc)</td></tr>
<tr class="separator:a016ae966553b0c16dc2998c9d1708976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afa8458fc0024173732f66116f16ec1b9"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#afa8458fc0024173732f66116f16ec1b9">EntityToSource</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:afa8458fc0024173732f66116f16ec1b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0694301ef5f9c518841c281330f68b89"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a0694301ef5f9c518841c281330f68b89">FindEntityByName</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:a0694301ef5f9c518841c281330f68b89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a270cc5df53ddbba1bb9ee11d3e55df73"><td class="memItemLeft" align="right" valign="top">proto native external void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a270cc5df53ddbba1bb9ee11d3e55df73">SetEntitySelection</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:a270cc5df53ddbba1bb9ee11d3e55df73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78122824179d28657295ec27cc585684"><td class="memItemLeft" align="right" valign="top">proto native external void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a78122824179d28657295ec27cc585684">AddToEntitySelection</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:a78122824179d28657295ec27cc585684"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3912036d631c9c0902b84f2923384d8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#ab3912036d631c9c0902b84f2923384d8">ClearEntitySelection</a> ()</td></tr>
<tr class="separator:ab3912036d631c9c0902b84f2923384d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12e5218fba6bb98e8c56ccd187f9ae84"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a12e5218fba6bb98e8c56ccd187f9ae84">RemoveFromEntitySelection</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:a12e5218fba6bb98e8c56ccd187f9ae84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7a926b38aea358e940d6dd02682d006"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#ab7a926b38aea358e940d6dd02682d006">SetPropertySelection</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> id)</td></tr>
<tr class="separator:ab7a926b38aea358e940d6dd02682d006"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf485273eba53e4699a9b76adbe7ec8c"><td class="memItemLeft" align="right" valign="top">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#aaf485273eba53e4699a9b76adbe7ec8c">ModifyEntityKey</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> key, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> value)</td></tr>
<tr class="separator:aaf485273eba53e4699a9b76adbe7ec8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af14c4dc54224e322432deee0e5605f89"><td class="memItemLeft" align="right" valign="top">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#af14c4dc54224e322432deee0e5605f89">ModifyEntityTemplateKey</a> (<a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a> tmpl, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> key, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> value)</td></tr>
<tr class="separator:af14c4dc54224e322432deee0e5605f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54b4ff74a6d7314a1dfbe0977d1b3863"><td class="memItemLeft" align="right" valign="top">proto native external <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a54b4ff74a6d7314a1dfbe0977d1b3863">CreateEntity</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> className, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> layerId, <a class="el" href="../../d7/dfc/classvector.html">vector</a> coords, <a class="el" href="../../d7/dfc/classvector.html">vector</a> angles)</td></tr>
<tr class="separator:a54b4ff74a6d7314a1dfbe0977d1b3863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbdff79f2c6e5a874c7e4d9c421b331d"><td class="memItemLeft" align="right" valign="top">proto native external <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#acbdff79f2c6e5a874c7e4d9c421b331d">CreateClonedEntity</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:acbdff79f2c6e5a874c7e4d9c421b331d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a956a94b637c372e5269f359c74d75682"><td class="memItemLeft" align="right" valign="top">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a956a94b637c372e5269f359c74d75682">DeleteEntity</a> (<a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:a956a94b637c372e5269f359c74d75682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab5a2259714637783164b5109c9714d4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#aab5a2259714637783164b5109c9714d4">DeleteEntities</a> (out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> &gt; ents)</td></tr>
<tr class="separator:aab5a2259714637783164b5109c9714d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdb5f1febcbd22beab21ff18d065d964"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#acdb5f1febcbd22beab21ff18d065d964">GetEntityUnderCursor</a> ()</td></tr>
<tr class="separator:acdb5f1febcbd22beab21ff18d065d964"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8a7b3ad8f9683d038772c85f7e769bf"><td class="memItemLeft" align="right" valign="top">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#ad8a7b3ad8f9683d038772c85f7e769bf">TraceWorldPos</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> <a class="el" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> traceFlags, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> traceStart, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> traceEnd, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> traceDir)</td></tr>
<tr class="separator:ad8a7b3ad8f9683d038772c85f7e769bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fb7ae20111fd9052247705e04d5f55f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a9fb7ae20111fd9052247705e04d5f55f">GetSelectedEntitiesCount</a> ()</td></tr>
<tr class="separator:a9fb7ae20111fd9052247705e04d5f55f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1449c321f1935569aaee8183b1e11d1b"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a1449c321f1935569aaee8183b1e11d1b">GetSelectedEntity</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> n=0)</td></tr>
<tr class="separator:a1449c321f1935569aaee8183b1e11d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d20b5a76865d4a884ce6b87532f5dd9"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a9d20b5a76865d4a884ce6b87532f5dd9">WorldEditorAPI</a> ()</td></tr>
<tr class="separator:a9d20b5a76865d4a884ce6b87532f5dd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25c11e036c91ea63658683ac5db5b111"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html#a25c11e036c91ea63658683ac5db5b111">~WorldEditorAPI</a> ()</td></tr>
<tr class="separator:a25c11e036c91ea63658683ac5db5b111"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../db/df5/workbench_api_8c_source.html#l00045">45</a> of file <a class="el" href="../../db/df5/workbench_api_8c_source.html">workbenchApi.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9d20b5a76865d4a884ce6b87532f5dd9" name="a9d20b5a76865d4a884ce6b87532f5dd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d20b5a76865d4a884ce6b87532f5dd9">&#9670;&#160;</a></span>WorldEditorAPI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void WorldEditorAPI::WorldEditorAPI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/df5/workbench_api_8c_source.html#l00078">78</a> of file <a class="el" href="../../db/df5/workbench_api_8c_source.html">workbenchApi.c</a>.</p>

</div>
</div>
<a id="a25c11e036c91ea63658683ac5db5b111" name="a25c11e036c91ea63658683ac5db5b111"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25c11e036c91ea63658683ac5db5b111">&#9670;&#160;</a></span>~WorldEditorAPI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void WorldEditorAPI::~WorldEditorAPI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../db/df5/workbench_api_8c_source.html#l00079">79</a> of file <a class="el" href="../../db/df5/workbench_api_8c_source.html">workbenchApi.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a78122824179d28657295ec27cc585684" name="a78122824179d28657295ec27cc585684"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a78122824179d28657295ec27cc585684">&#9670;&#160;</a></span>AddToEntitySelection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external void WorldEditorAPI::AddToEntitySelection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acab350940642916aa2d83688ac22a8c5" name="acab350940642916aa2d83688ac22a8c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acab350940642916aa2d83688ac22a8c5">&#9670;&#160;</a></span>BeginEntityAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::BeginEntityAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>historyPointName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>historyPointIcon</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a96b6eba1799dd745b9dd3f2051e88dd5" name="a96b6eba1799dd745b9dd3f2051e88dd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96b6eba1799dd745b9dd3f2051e88dd5">&#9670;&#160;</a></span>BeginTerrainAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::BeginTerrainAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>historyPointName</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>historyPointIcon</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab3912036d631c9c0902b84f2923384d8" name="ab3912036d631c9c0902b84f2923384d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3912036d631c9c0902b84f2923384d8">&#9670;&#160;</a></span>ClearEntitySelection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WorldEditorAPI::ClearEntitySelection </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acbdff79f2c6e5a874c7e4d9c421b331d" name="acbdff79f2c6e5a874c7e4d9c421b331d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbdff79f2c6e5a874c7e4d9c421b331d">&#9670;&#160;</a></span>CreateClonedEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> WorldEditorAPI::CreateClonedEntity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a54b4ff74a6d7314a1dfbe0977d1b3863" name="a54b4ff74a6d7314a1dfbe0977d1b3863"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a54b4ff74a6d7314a1dfbe0977d1b3863">&#9670;&#160;</a></span>CreateEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> WorldEditorAPI::CreateEntity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>className</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>layerId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>angles</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aab5a2259714637783164b5109c9714d4" name="aab5a2259714637783164b5109c9714d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab5a2259714637783164b5109c9714d4">&#9670;&#160;</a></span>DeleteEntities()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::DeleteEntities </td>
          <td>(</td>
          <td class="paramtype">out <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> &gt;&#160;</td>
          <td class="paramname"><em>ents</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a956a94b637c372e5269f359c74d75682" name="a956a94b637c372e5269f359c74d75682"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a956a94b637c372e5269f359c74d75682">&#9670;&#160;</a></span>DeleteEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::DeleteEntity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb38dd4c579454b8b67ca94705d28413" name="aeb38dd4c579454b8b67ca94705d28413"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb38dd4c579454b8b67ca94705d28413">&#9670;&#160;</a></span>EndEntityAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::EndEntityAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>historyPointName</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae4ea4be67de6d895062d62efd363dd9a" name="ae4ea4be67de6d895062d62efd363dd9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4ea4be67de6d895062d62efd363dd9a">&#9670;&#160;</a></span>EndTerrainAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WorldEditorAPI::EndTerrainAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>historyPointName</em> = <code>&quot;&quot;</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afa8458fc0024173732f66116f16ec1b9" name="afa8458fc0024173732f66116f16ec1b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afa8458fc0024173732f66116f16ec1b9">&#9670;&#160;</a></span>EntityToSource()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a> WorldEditorAPI::EntityToSource </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0694301ef5f9c518841c281330f68b89" name="a0694301ef5f9c518841c281330f68b89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0694301ef5f9c518841c281330f68b89">&#9670;&#160;</a></span>FindEntityByName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a> WorldEditorAPI::FindEntityByName </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acdb5f1febcbd22beab21ff18d065d964" name="acdb5f1febcbd22beab21ff18d065d964"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdb5f1febcbd22beab21ff18d065d964">&#9670;&#160;</a></span>GetEntityUnderCursor()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> WorldEditorAPI::GetEntityUnderCursor </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9fb7ae20111fd9052247705e04d5f55f" name="a9fb7ae20111fd9052247705e04d5f55f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fb7ae20111fd9052247705e04d5f55f">&#9670;&#160;</a></span>GetSelectedEntitiesCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> WorldEditorAPI::GetSelectedEntitiesCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1449c321f1935569aaee8183b1e11d1b" name="a1449c321f1935569aaee8183b1e11d1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1449c321f1935569aaee8183b1e11d1b">&#9670;&#160;</a></span>GetSelectedEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> WorldEditorAPI::GetSelectedEntity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>n</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a361f856bca900dace1507ddc51f8227e" name="a361f856bca900dace1507ddc51f8227e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a361f856bca900dace1507ddc51f8227e">&#9670;&#160;</a></span>IsDoingEditAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::IsDoingEditAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac609da4f0e3d16e743b4713430fe4bf7" name="ac609da4f0e3d16e743b4713430fe4bf7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac609da4f0e3d16e743b4713430fe4bf7">&#9670;&#160;</a></span>IsModifyingData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::IsModifyingData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaf485273eba53e4699a9b76adbe7ec8c" name="aaf485273eba53e4699a9b76adbe7ec8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf485273eba53e4699a9b76adbe7ec8c">&#9670;&#160;</a></span>ModifyEntityKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::ModifyEntityKey </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af14c4dc54224e322432deee0e5605f89" name="af14c4dc54224e322432deee0e5605f89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af14c4dc54224e322432deee0e5605f89">&#9670;&#160;</a></span>ModifyEntityTemplateKey()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::ModifyEntityTemplateKey </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a>&#160;</td>
          <td class="paramname"><em>tmpl</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a12e5218fba6bb98e8c56ccd187f9ae84" name="a12e5218fba6bb98e8c56ccd187f9ae84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a12e5218fba6bb98e8c56ccd187f9ae84">&#9670;&#160;</a></span>RemoveFromEntitySelection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WorldEditorAPI::RemoveFromEntitySelection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a270cc5df53ddbba1bb9ee11d3e55df73" name="a270cc5df53ddbba1bb9ee11d3e55df73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a270cc5df53ddbba1bb9ee11d3e55df73">&#9670;&#160;</a></span>SetEntitySelection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external void WorldEditorAPI::SetEntitySelection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7a926b38aea358e940d6dd02682d006" name="ab7a926b38aea358e940d6dd02682d006"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7a926b38aea358e940d6dd02682d006">&#9670;&#160;</a></span>SetPropertySelection()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void WorldEditorAPI::SetPropertySelection </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>id</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a016ae966553b0c16dc2998c9d1708976" name="a016ae966553b0c16dc2998c9d1708976"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a016ae966553b0c16dc2998c9d1708976">&#9670;&#160;</a></span>SourceToEntity()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> WorldEditorAPI::SourceToEntity </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../dc/d0b/class_i_entity_source.html">IEntitySource</a>&#160;</td>
          <td class="paramname"><em>entSrc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8a7b3ad8f9683d038772c85f7e769bf" name="ad8a7b3ad8f9683d038772c85f7e769bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8a7b3ad8f9683d038772c85f7e769bf">&#9670;&#160;</a></span>TraceWorldPos()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native external <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::TraceWorldPos </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>traceFlags</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>traceStart</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>traceEnd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>traceDir</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4bfefa218fcbdc91cbcf73b1de186b38" name="a4bfefa218fcbdc91cbcf73b1de186b38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bfefa218fcbdc91cbcf73b1de186b38">&#9670;&#160;</a></span>UndoOrRedoIsRestoring()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> WorldEditorAPI::UndoOrRedoIsRestoring </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/1_Core/<a class="el" href="../../db/df5/workbench_api_8c_source.html">workbenchApi.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/d1b/class_world_editor_a_p_i.html">WorldEditorAPI</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
